
// load_paths.hpp - example path loading interface for "hairline" stroking algorithm testbed

#ifndef __load_paths_hpp__
#define __load_paths_hpp__

#include <vector>

#include "PathContainer.hpp"

extern vector<PathContainer*> path_list;

extern void loadPaths();
extern void reprocessPaths(bool include_caps, bool include_joins);

void updatePathListStrokeWidth(float stroke_width);
extern void updatePathListJoinStyle(GLenum join_style);
extern void updatePathListMiterLimit(float miter_limit);

#endif // __load_paths_hpp__
